#include <iostream>
using namespace std;

int main()
{
    int a,b,c,d,e,brKutii=0;
    cin>>a>>b>>c>>d>>e;
    if(a<b && b<c && c<d && d<e)
    {
        brKutii++;
    }
    else
    {
        if(a==b || a==c || a==d || a==e)
        {
            brKutii++;
        }
        if(b==a || b==c || b==d || b==e)
        {
            brKutii++;
        }
        if(c==b || c==a || c==d || c==e)
        {
            brKutii++;
        }
        if(d==b || d==a || d==c || d==e)
        {
            brKutii++;
        }
    }
    cout<<brKutii<<endl;
    return 0;
}